# freaCMS

mostly filebased Content Presentation System


## installation

### download 

get the source code

    git clone https://git.freakaria.com/dom/freaCMS.git
    cd freaCMS
    
install dependencies

    composer install


    
### configure

create and edit main.cfg and deploy:

    for i in {deploy,main.cfg}; do cp $i.sample $i; done;


main.cgf:

    SITE_URL = public URL where website is reachable (used in links, etc...)
    title = give your site a title
    

deploy:
    
    USER = ssh user on server
    SERVER = server address for ssh login
    LIVE_DIR = relative path (from ssh login) to live site
    DEV_DIR = relative path to development site (so you can try out without breaking stuff)


### test

    php -S localhost:12345

point browser to localhost:12345

### upload

    ./deploy dev go
    ./deploy dev content up go



## Template variables

LANG
default_lang
RESOURCES
hideFromSearchEngines
title
bodyClass
